<?php
/*
 * Copyright(C). D-cube,Inc. All Rights Reserved.
 */

/*
 * @file		GeneralBCCSSManager.class.php
 * @brief		一般用CSSクラス
 * @date		2007.05.01
 */

require_once(CLASS_DIR."/adodb/BitcubeDB.class.php");

class GeneralBCCSSManager extends BitcubeDB
{
	function GeneralBCCSSManager()
	{
		$this->BitcubeDB();
	}
	
	// タイトル取得
	function getTopTitle($group_code)
	{
		// SQL文
		$sql  = " select ";
		$sql .= " $this->group.group_name ";
		$sql .= " from ";
		$sql .= " $this->group ";
		$sql .= " where $this->group.is_delete = 0 and $this->group.group_code = $group_code ";
		
		return $this->GetOne($sql);
	}
	
	// トップページ情報取得
	function getBCCSSInfo($group_code)
	{
		// SQL文
		$sql  = " select ";
		$sql .= " $this->template.group_code ";
		$sql .= " ,$this->template.bitcube_css_tmpl ";
		$sql .= " from ";
		$sql .= " $this->template ";
		$sql .= " where $this->template.is_delete = 0 and $this->template.group_code = $group_code ";
		
		return $this->GetRow($sql);
	}
}
